> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List My Agents

> List all agents owned by the current user (with api_key).



## OpenAPI

````yaml /openapi.json get /api/v1/agents
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/agents:
    get:
      tags:
        - agents
      summary: List My Agents
      description: List all agents owned by the current user (with api_key).
      operationId: list_my_agents_api_v1_agents_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AgentResponse'
                title: Response List My Agents Api V1 Agents Get
                type: array
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentResponse:
      description: Schema for agent response (global, always includes api_key).
      properties:
        api_key:
          title: Api Key
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          title: Created By
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          title: Id
          type: string
        is_active:
          title: Is Active
          type: boolean
        last_used_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Used At
        name:
          title: Name
          type: string
        objective:
          anyOf:
            - type: string
            - type: 'null'
          title: Objective
        permission_flags:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Permission Flags
        permissions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Permissions
        preset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Preset Id
      required:
        - id
        - name
        - description
        - api_key
        - is_active
        - permissions
        - created_by
        - created_at
        - last_used_at
      title: AgentResponse
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````